Skip to main content
`Ctrl`+`K`

# PetscInfoGetInfo

Returns the current state of several flags for `PetscInfo()`

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscInfoGetInfo(PetscBool *infoEnabled, PetscBool *classesSet, PetscBool *exclude, PetscBool *locked, PetscInfoCommFlag *commSelfFlag)

Not Collective

## Output Parameters

- infoEnabled - `PETSC_TRUE` if `PetscInfoAllow`(`PETSC_TRUE`) has been called

- classesSet - `PETSC_TRUE` if the list of classes to filter for has been set

- exclude - `PETSC_TRUE` if the class filtering for `PetscInfo()` is inverted

- locked - `PETSC_TRUE` if the list of classes to filter for has been locked

- commSelfFlag - Enum indicating whether `PetscInfo()` will print for communicators of size 1, any size != 1, or all communicators

## Note

Initially commSelfFlag = `PETSC_INFO_COMM_ALL`

## See Also

Interpreting -info Output: Informative Messages, `PetscInfo()`, `PetscInfoAllow()`, `PetscInfoSetFilterCommSelf`, `PetscInfoSetFromOptions()`

## Level

developer

## Location

src/sys/info/verboseinfo.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages